### Function

# ECal util_parse_ics_string

#### Declaration [src]

    ICalComponent*
    e_cal_util_parse_ics_string (
      const gchar* string
    )

#### Description [src]

Parses an iCalendar string and returns a new `ICalComponent` representing that string. Note that this function deals with multiple VCALENDAR’s in the string, something that Mozilla used to do and which libical does not support.

Free the returned non-NULL component with g_object_unref(), when no longer needed.

#### Parameters

`string`

  Type: `const gchar*`

  ICalendar string to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

A newly created `ICalComponent`, or `NULL`, if the string isn’t a valid iCalendar string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.